# Luxsci.Model.DomainReport

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AcceptMail** | **string** | Optional: False (“0”). True values (e.g. “1”) will result in the domain being able to accept new emails (once validated by updating MX or A records).  Note that if “is_enabled” is false, then the domain will not accept email, even if this setting is true.  This setting will not be changed if you omit this keyword from your request. | [optional] 
**CatchallAction** | **string** | Can be one of: - “email” – to forward email messages - “delete” – to delete email message - “bounce” – to bounce back email messages with a custom message.  This field is required if catchall_on is true and ignored otherwise. | [optional] 
**CatchallData** | **string** | This contains data for your “catchall_action”: - “email” – Is a comma-delimited list of email addresses to forward email to. This list will be validted. - “bounce” – is a short plain text message (50 characters or less) to explain why the bounce is happening. - “delete” – “catchall_data” ignored.  This field is required if catchall_on is true and catchall_action is not “delete”, and ignored otherwise. | [optional] 
**CatchallOn** | **string** | Optional: False (e.g. “0”). True (e.g. “1”). If enabled, then the domain-wide email catchall alias will be turned on. We do not recommend that these be used in general ... as they are magnets for inbound spam.  If enabled, then the other catchall action parameters are required.  Domain catchall settings will not be changed if you omit this keyword from your request. | [optional] 
**IsEnabled** | **string** | Optional: False (“0”). True values (e.g. “1”) will result in the domain globally enabled for use (e.g. email, users, etc.). This is the big “domain on/off” switch.  This setting will not be changed if you omit this keyword from your request. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

