# Luxsci.Model.Alias

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Action** | **string** | What to do with email to this alias. This must be one of “email”, “bounce”, or “delete”. | [optional] 
**Bounce** | **string** | For aliases whose action is “bounce”, this is the bounce message. | [optional] 
**Created** | **string** | DATETIME. When the email alias was created. Format: “YYYY-MM-DD HH:MM:SS” in GMT. Some types of aliases may not have a creation time recorded (as may aliases created before creation times started to be tracked). These will returna created value of “0000-00-00 00:00:00”. | [optional] 
**Dest** | **string** | Email List. For aliases whose action is “email”, this is the comma-delimited list of destination email addresses | [optional] 
**DistributionListGroup** | **string** | For aliases whose type is “distribution”, this is the name of the WebAide Group. | [optional] 
**Domain** | **string** | Domain name (e.g. for alias “john@sample.com”, this would be “sample.com”) | [optional] 
**MsyncUsers** | **int** | Number of users in the domain with licenses for MobileSync. | [optional] 
**SecurelineUsers** | **int** | Number of users in the domain with licenses for SecureLine. | [optional] 
**Status** | **string** | This will be “enabled” for aliases that are “on” and “disabled” for ones that exist but which are “off”. | [optional] 
**Type** | **string** | The source or kind of alias. This would be one of: - Catchall – domain catchall - Forward – a user’s email forwarding rule - Alias – a regular email alias - distribution – A WebAide Group distribution list&#39; | [optional] 
**User** | **string** | String User part of alias address (e.g. for alias “john@sample. com”, this would be “john”). For catchall aliases, this is empty or null. | [optional] 
**Users** | **int** | Number of users in this domain | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

